# skbio.diversity.alpha.fisher_alpha

`skbio.diversity.alpha.``fisher_alpha`(counts)

  Calculate Fisher’s alpha, a metric of diversity.

  State: Experimental as of 0.4.0.

  Fisher’s alpha is estimated by solving the following equation for \(\alpha\):

  \[S=\alpha\ln(1+\frac{N}{\alpha})\]

  where \(S\) is the number of OTUs and \(N\) is the total number of individuals in the sample.

  Parameters:

  counts : 1-D array_like, int

  > Vector of counts.

  Returns:

  double

  > Fisher’s alpha.

  Raises:

  RuntimeError

  > If the optimizer fails to converge (error > 1.0).

  Notes

  The implementation here is based on the description given in the SDR-IV online manual [R28]. Uses `scipy.optimize.minimize_scalar` to find Fisher’s alpha.

  References

  [R28] | (1, 2) http://www.pisces-conservation.com/sdrhelp/index.html